## osgearth 2.5.0%2Bdfsg

=== src/osgEarthDrivers/CMakeLists.txt ===
#---------------------------------------------------
# OSG CMAKE SUPPORT 
# (C) by Michael Wagner, mtw@shared-reality.com 2005
# (C) Eric Wing, Luigi Calori and Robert Osfield 2006-2007
#---------------------------------------------------

PROJECT(OSGEARTH_PLUGINS_MASTER)

INCLUDE_DIRECTORIES(${OSG_INCLUDE_DIRS} )

SET(CMAKE_SHARED_MODULE_PREFIX ${OSGEARTH_PLUGIN_PREFIX})

IF(MSVC80)
  IF(NOT OSGEARTH_MSVC_GENERATE_PLUGINS_AND_WRAPPERS_MANIFESTS)
    SET(CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} /MANIFEST:NO")
  ENDIF(NOT OSGEARTH_MSVC_GENERATE_PLUGINS_AND_WRAPPERS_MANIFESTS)
ENDIF(MSVC80)

SET(TARGET_DEFAULT_PREFIX "osgdb_")
SET(TARGET_DEFAULT_LABEL_PREFIX "Plugin")

#OpenThreads, osg, osgDB and osgUtil are included elsewhere.
SET(TARGET_COMMON_LIBRARIES 
    osgEarth
)

# Folder name for plugins
SET(OSGEARTH_PLUGINS_FOLDER Plugins)

############################################################
#
#  NodeKit/Psudo loader plugins
#
ADD_SUBDIRECTORY(earth)
ADD_SUBDIRECTORY(kml)

ADD_SUBDIRECTORY(wcs)
ADD_SUBDIRECTORY(wms)
ADD_SUBDIRECTORY(tilecache)
ADD_SUBDIRECTORY(tileservice)
ADD_SUBDIRECTORY(yahoo)
ADD_SUBDIRECTORY(arcgis_map_cache)
ADD_SUBDIRECTORY(arcgis)
ADD_SUBDIRECTORY(tms)
ADD_SUBDIRECTORY(vpb)
ADD_SUBDIRECTORY(osg)
ADD_SUBDIRECTORY(agglite)
ADD_SUBDIRECTORY(model_simple)
ADD_SUBDIRECTORY(debug)
ADD_SUBDIRECTORY(cache_filesystem)
ADD_SUBDIRECTORY(ocean_surface)
ADD_SUBDIRECTORY(refresh)
ADD_SUBDIRECTORY(xyz)
ADD_SUBDIRECTORY(bing)
ADD_SUBDIRECTORY(tileindex)

IF(LIBNOISE_FOUND)
    ADD_SUBDIRECTORY(noise)
ENDIF(LIBNOISE_FOUND)

IF(GDAL_FOUND)
  ADD_SUBDIRECTORY(gdal)
  ADD_SUBDIRECTORY(feature_ogr)
  ADD_SUBDIRECTORY(feature_wfs)  
  ADD_SUBDIRECTORY(feature_tfs)
  ADD_SUBDIRECTORY(model_feature_stencil)
  ADD_SUBDIRECTORY(model_feature_geom)
  ADD_SUBDIRECTORY(mask_feature)
  ADD_SUBDIRECTORY(label_overlay)
  ADD_SUBDIRECTORY(label_annotation)
ENDIF(GDAL_FOUND)

IF(SQLITE3_FOUND)
#  ADD_SUBDIRECTORY(cache_sqlite3)
  ADD_SUBDIRECTORY(mbtiles)
ENDIF(SQLITE3_FOUND)

ADD_SUBDIRECTORY(engine_osgterrain)
ADD_SUBDIRECTORY(engine_quadtree)
ADD_SUBDIRECTORY(engine_mp)
ADD_SUBDIRECTORY(engine_byo)

IF(V8_FOUND)
  ADD_SUBDIRECTORY(script_engine_v8)
ENDIF(V8_FOUND)

IF(JAVASCRIPTCORE_FOUND)
  ADD_SUBDIRECTORY(script_engine_javascriptcore)
ENDIF(JAVASCRIPTCORE_FOUND)

ADD_SUBDIRECTORY(vdatum_egm84)
ADD_SUBDIRECTORY(vdatum_egm96)
ADD_SUBDIRECTORY(vdatum_egm2008)

=== src/applications/osgearth_city/CMakeLists.txt ===
INCLUDE_DIRECTORIES(${OSG_INCLUDE_DIRS} )
SET(TARGET_LIBRARIES_VARS OSG_LIBRARY OSGDB_LIBRARY OSGUTIL_LIBRARY OSGVIEWER_LIBRARY OPENTHREADS_LIBRARY)

SET(TARGET_SRC osgearth_city.cpp )

#### end var setup  ###
SETUP_APPLICATION(osgearth_city)

=== src/applications/osgearth_clamp/CMakeLists.txt ===
INCLUDE_DIRECTORIES(${OSG_INCLUDE_DIRS} )
SET(TARGET_LIBRARIES_VARS OSG_LIBRARY OSGDB_LIBRARY OSGUTIL_LIBRARY OSGVIEWER_LIBRARY OPENTHREADS_LIBRARY)

SET(TARGET_SRC osgearth_clamp.cpp )

#### end var setup  ###
SETUP_APPLICATION(osgearth_clamp)

=== src/applications/osgearth_demo/CMakeLists.txt ===
INCLUDE( ${QT_USE_FILE} )

INCLUDE_DIRECTORIES(${OSG_INCLUDE_DIRS} ${QT_INCLUDES})

SET(MOC_HDRS
)

QT4_WRAP_CPP( MOC_SRCS ${MOC_HDRS} OPTIONS "-f" )

SET(TARGET_H
    ${LIB_QT_RCS}
)

SET(TARGET_SRC
    ${MOC_SRCS}
    ${LIB_RC_SRCS}
    osgearth_demo.cpp
)

SET(TARGET_ADDED_LIBRARIES
    osgEarthQt
    ${QT_QTCORE_LIBRARY}
    ${QT_QTGUI_LIBRARY}
    ${QT_QTOPENGL_LIBRARY}
)

#### end var setup  ###
SETUP_APPLICATION(osgearth_demo)

=== src/applications/osgearth_featuremanip/CMakeLists.txt ===
INCLUDE_DIRECTORIES(${OSG_INCLUDE_DIRS} )
SET(TARGET_LIBRARIES_VARS OSG_LIBRARY OSGDB_LIBRARY OSGUTIL_LIBRARY OSGVIEWER_LIBRARY OPENTHREADS_LIBRARY)

SET(TARGET_SRC osgearth_featuremanip.cpp )

#### end var setup  ###
SETUP_APPLICATION(osgearth_featuremanip)

=== src/applications/osgearth_qt/CMakeLists.txt ===
INCLUDE( ${QT_USE_FILE} )

INCLUDE_DIRECTORIES(${OSG_INCLUDE_DIRS} ${QT_INCLUDES})

SET(MOC_HDRS
    DemoMainWindow
)

# Qt resource files
set(LIB_QT_RCS
    images.qrc
)

QT4_ADD_RESOURCES( LIB_RC_SRCS ${LIB_QT_RCS} )

QT4_WRAP_CPP( MOC_SRCS ${MOC_HDRS} OPTIONS "-f" )

SET(TARGET_H
    DemoMainWindow
    ${LIB_QT_RCS}
)

SET(TARGET_SRC
    ${MOC_SRCS}
    ${LIB_RC_SRCS}
    osgearth_qt.cpp
)

SET(TARGET_ADDED_LIBRARIES
    osgEarthQt
    ${QT_QTCORE_LIBRARY}
    ${QT_QTGUI_LIBRARY}
    ${QT_QTOPENGL_LIBRARY}
)

#### end var setup  ###
SETUP_APPLICATION(osgearth_qt)

=== src/osgEarthDrivers/arcgis_map_cache/CMakeLists.txt ===
SET(TARGET_SRC ReaderWriterArcGISMapCache.cpp)
SETUP_PLUGIN(osgearth_arcgis_map_cache)

=== src/osgEarthDrivers/tileservice/CMakeLists.txt ===
SET(TARGET_SRC
    ReaderWriterTileService.cpp
)
SET(TARGET_H
    TileServiceOptions
)

SETUP_PLUGIN(osgearth_tileservice)


# to install public driver includes:
SET(LIB_NAME tileservice)
SET(LIB_PUBLIC_HEADERS TileServiceOptions)
INCLUDE(ModuleInstallOsgEarthDriverIncludes OPTIONAL)

=== src/osgEarthDrivers/yahoo/CMakeLists.txt ===
SET(TARGET_SRC ReaderWriterYahoo.cpp)
SET(TARGET_H YahooOptions)
SETUP_PLUGIN(osgearth_yahoo)

# to install public driver includes:
SET(LIB_NAME yahoo)
SET(LIB_PUBLIC_HEADERS YahooOptions)
INCLUDE(ModuleInstallOsgEarthDriverIncludes OPTIONAL)

=== debian/changelog ===
osgearth (2.5.0+dfsg-2) unstable; urgency=low

  * Drop libv8-dev build dependency, not available on all architectures and has
    a worrisome security status.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Sat, 22 Mar 2014 13:11:27 +0100

osgearth (2.5.0+dfsg-1) unstable; urgency=low

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Tue, 18 Mar 2014 00:19:23 +0100

osgearth (2.5.0+dfsg-1~exp1) experimental; urgency=low

  * Don't use git-pbuilder by default in gpb.conf.
  * Update symbols for armel, armhf, kfreebsd-amd64, kfreebsd-i386 & mipsel.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Sat, 01 Mar 2014 13:06:06 +0100

osgearth (2.5.0+dfsg-0~exp1) experimental; urgency=low

  * New upstream release.
  * Repack orig tarball with XZ compression.
  * Update Files-Excluded for osgEarth 2.5.
  * Add build dependencies on libv8-dev and libnoise-dev.
  * Refresh soversion.patch, bump SOVERSION to 3.
  * Enable KMZ support with libminizip from libkml.
  * Drop MPGeometry-OpenSceneGraph-3.1.8.patch, included in upstream.
  * Drop becuase-typo.patch, applied upstream.
  * Refresh cmake-FindMiniZip.patch.
  * Add manpage for osgearth_tileindex, osgearth_terraineffects,
    osgearth_sharedlayer & osgearth_demo.
  * Add gbp.conf to use pristine-tar and git-pbuilder by default.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Sun, 26 Jan 2014 01:56:28 +0100

=== debian/control ===
Source: osgearth
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Pirmin Kalberer <pi_deb@sourcepole.ch>,
           Bas Couwenberg <sebastic@xs4all.nl>
Section: devel
Priority: optional
Build-Depends: debhelper (>= 9),
               dpkg-dev (>= 1.16.1.1),
               cmake,
               libopenscenegraph-dev (>= 3.0.1),
               openscenegraph (>= 3.0.1),
               libgdal-dev (>= 1.10.1~),
               libgeos-dev,
               libexpat1-dev,
               libcurl4-gnutls-dev,
               zlib1g-dev,
               libkml-dev (>= 1.3.0~r864),
               libsqlite3-dev,
               libqt4-dev,
               libqt4-opengl-dev,
               libnoise-dev,
               pkg-kde-tools,
               docbook2x,
               docbook-xsl,
               docbook-xml,
               xsltproc
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-grass/osgearth.git
Vcs-Git: git://anonscm.debian.org/pkg-grass/osgearth.git
Homepage: http://osgearth.org/

Package: osgearth
Architecture: any
Depends: fonts-liberation,
         ${shlibs:Depends},
         ${misc:Depends}
Suggests: osgearth-data
Description: Dynamic 3D terrain rendering toolkit for OpenSceneGraph (binaries)
 osgEarth is a scalable terrain rendering toolkit for OpenSceneGraph
 (OSG), an open source, high performance, 3D graphics toolkit. Just create a
 simple XML file, point it at your imagery, elevation, and vector data, load it
 into your favorite OSG application, and go! osgEarth supports all kinds of
 data and comes with lots of examples to help you get up and running quickly
 and easily.
 .
 This package contains binaries.

Package: osgearth-data
Architecture: all
Depends: ${misc:Depends}
Description: Dynamic 3D terrain rendering toolkit for OpenSceneGraph (data)
 osgEarth is a scalable terrain rendering toolkit for OpenSceneGraph
 (OSG), an open source, high performance, 3D graphics toolkit. Just create a
 simple XML file, point it at your imagery, elevation, and vector data, load it
 into your favorite OSG application, and go! osgEarth supports all kinds of
 data and comes with lots of examples to help you get up and running quickly
 and easily.
 .
 This package contains data files.

Package: libosgearth3
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: openscenegraph
Breaks: libosgearth1 (<< 2.4.0+dfsg-4~),
        osgearth (<< 1.4-2)
Replaces: libosgearth1 (<< 2.4.0+dfsg-4~),
          osgearth (<< 1.4-2)
Description: Dynamic 3D terrain rendering toolkit for OpenSceneGraph (shared lib)
 osgEarth is a scalable terrain rendering toolkit for OpenSceneGraph
 (OSG), an open source, high performance, 3D graphics toolkit. Just create a
 simple XML file, point it at your imagery, elevation, and vector data, load it
 into your favorite OSG application, and go! osgEarth supports all kinds of
 data and comes with lots of examples to help you get up and running quickly
 and easily.
 .
 This package contains the shared library libosgEarth.

Package: libosgearthannotation3
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: openscenegraph
Description: Dynamic 3D terrain rendering toolkit for OpenSceneGraph (osgEarthAnnotation)
 osgEarth is a scalable terrain rendering toolkit for OpenSceneGraph
 (OSG), an open source, high performance, 3D graphics toolkit. Just create a
 simple XML file, point it at your imagery, elevation, and vector data, load it
 into your favorite OSG application, and go! osgEarth supports all kinds of
 data and comes with lots of examples to help you get up and running quickly
 and easily.
 .
 This package contains the shared library libosgEarthAnnotation.

Package: libosgearthfeatures3
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: openscenegraph
Description: Dynamic 3D terrain rendering toolkit for OpenSceneGraph (osgEarthFeatures)
 osgEarth is a scalable terrain rendering toolkit for OpenSceneGraph
 (OSG), an open source, high performance, 3D graphics toolkit. Just create a
 simple XML file, point it at your imagery, elevation, and vector data, load it
 into your favorite OSG application, and go! osgEarth supports all kinds of
 data and comes with lots of examples to help you get up and running quickly
 and easily.
 .
 This package contains the shared library libosgEarthFeatures.

Package: libosgearthqt3
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: openscenegraph
Description: Dynamic 3D terrain rendering toolkit for OpenSceneGraph (osgEarthQt)
 osgEarth is a scalable terrain rendering toolkit for OpenSceneGraph
 (OSG), an open source, high performance, 3D graphics toolkit. Just create a
 simple XML file, point it at your imagery, elevation, and vector data, load it
 into your favorite OSG application, and go! osgEarth supports all kinds of
 data and comes with lots of examples to help you get up and running quickly
 and easily.
 .
 This package contains the shared library libosgEarthQt.

Package: libosgearthsymbology3
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: openscenegraph
Description: Dynamic 3D terrain rendering toolkit for OpenSceneGraph (osgEarthSymbology)
 osgEarth is a scalable terrain rendering toolkit for OpenSceneGraph
 (OSG), an open source, high performance, 3D graphics toolkit. Just create a
 simple XML file, point it at your imagery, elevation, and vector data, load it
 into your favorite OSG application, and go! osgEarth supports all kinds of
 data and comes with lots of examples to help you get up and running quickly
 and easily.
 .
 This package contains the shared library libosgEarthSymbology.

Package: libosgearthutil3
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: openscenegraph
Description: Dynamic 3D terrain rendering toolkit for OpenSceneGraph (osgEarthUtil)
 osgEarth is a scalable terrain rendering toolkit for OpenSceneGraph
 (OSG), an open source, high performance, 3D graphics toolkit. Just create a
 simple XML file, point it at your imagery, elevation, and vector data, load it
 into your favorite OSG application, and go! osgEarth supports all kinds of
 data and comes with lots of examples to help you get up and running quickly
 and easily.
 .
 This package contains the shared library libosgEarthUtil.

Package: openscenegraph-plugin-osgearth
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: OpenSceneGraph plugins for osgEarth
 osgEarth is a scalable terrain rendering toolkit for OpenSceneGraph
 (OSG), an open source, high performance, 3D graphics toolkit. Just create a
 simple XML file, point it at your imagery, elevation, and vector data, load it
 into your favorite OSG application, and go! osgEarth supports all kinds of
 data and comes with lots of examples to help you get up and running quickly
 and easily.
 .
 This package contains the OpenSceneGraph plugins.

Package: libosgearth-dev
Architecture: any
Section: libdevel
Depends: libosgearth3 (= ${binary:Version}),
         libosgearthannotation3 (= ${binary:Version}),
         libosgearthfeatures3 (= ${binary:Version}),
         libosgearthqt3 (= ${binary:Version}),
         libosgearthsymbology3 (= ${binary:Version}),
         libosgearthutil3 (= ${binary:Version}),
         libopenscenegraph-dev,
         libgeos-dev,
         ${misc:Depends}
Replaces: osgearth-dev
Description: osgEarth development files
 osgEarth is a scalable terrain rendering toolkit for OpenSceneGraph
 (OSG), an open source, high performance, 3D graphics toolkit. Just create a
 simple XML file, point it at your imagery, elevation, and vector data, load it
 into your favorite OSG application, and go! osgEarth supports all kinds of
 data and comes with lots of examples to help you get up and running quickly
 and easily.
 .
 This package contains the development files.
